### Function

# EDataServer time_format_date_and_time

#### Declaration [src]

    void
    e_time_format_date_and_time (
      tm* date_tm,
      gboolean use_24_hour_format,
      gboolean show_midnight,
      gboolean show_zero_seconds,
      gchar* buffer,
      gint buffer_size
    )

#### Description [src]

Creates a string representation of the time value `date_tm` and stores it in `buffer`. `buffer_size` should be at least 64 to be safe. If `show_midnight` is `FALSE`, and the time is midnight, then only the date is stored in `buffer`. If `show_zero_seconds` is `FALSE`, then if the time has zero seconds only the hour and minute of the time are stored in `buffer`.

#### Parameters

`date_tm`

  Type: `tm*`

  The #tm to convert to a string.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`use_24_hour_format`

  Type: `gboolean`

  A #gboolean.

`show_midnight`

  Type: `gboolean`

  A #gboolean.

`show_zero_seconds`

  Type: `gboolean`

  A #gboolean.

`buffer`

  Type: `gchar*`

  A #char buffer to store the time string in.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`buffer_size`

  Type: `gint`

  The length of `buffer`.